[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Linux-cluster] Which packages are the right combination for AS4U5?



hello, I had been tried to install rhcs, but failed.
hmm, the error look like this:
[root rh4-clus1 SPECS]# rpmbuild -ba --target=i686 cman.spec
Building target platforms: i686
Building for target i686
error: Failed build dependencies:
        cman-kernheaders >= 2.6.9 is needed by cman-1.0.17-0.i686
        ccs-devel is needed by cman-1.0.17-0.i686

So, Is that mean I have to download and install ccs-devel first.
but I can't find it on redhat's ftp.
anybody know where to find it?
2007/7/31, darkblue <darkblue2000 gmail com>:
> thanks, thank you very much, you save my life.
> I am gonna to install the src.rpm combination tonight.
>
> 2007/7/30, Sebastian Walter <sebastian walter fu-berlin de>:
> > If you are using RHEL in an production environment, I can only recommend
> > you to use the original rhel packages, as the centos' ones are modified.
> > Anyway, the versions of the rpm's should be the same. So this is the
> > list of packages what is installed on my centos 4.5 system:
> >
> > (rhcs: rgmanager system-config-cluster ccsd magma magma-plugins cman
> > cman-kernel-smp dlm dlm-kernel-smp fence gulm iddev)
> > Installing:
> > cman                    x86_64     1.0.17-0         csgfs              67 k
> > cman-kernel-smp         x86_64     2.6.9-50.2       csgfs             133 k
> > dlm                     x86_64     1.0.3-1          csgfs              13 k
> > dlm-kernel-smp          x86_64     2.6.9-46.16      csgfs             132 k
> > fence                   x86_64     1.32.45-1.0.1    csgfs             282 k
> > gulm                    x86_64     1.0.10-0         csgfs             151 k
> > iddev                   x86_64     2.0.0-4          csgfs             2.3 k
> > magma                   x86_64     1.0.7-1          csgfs              37 k
> > magma-plugins           x86_64     1.0.12-0         csgfs              19 k
> > rgmanager               x86_64     1.9.68-1         csgfs             209 k
> > system-config-cluster   noarch     1.0.45-1.0       csgfs             122 k
> > Installing for dependencies:
> > ccs                     x86_64     1.0.10-0         csgfs              80 k
> > perl-Net-Telnet         noarch     3.03-3           csgfs              51 k
> > seamonkey-nss           x86_64     1.0.9-2.el4.centos  update
> > 872 k
> >
> > (gfs: GFS GFS-kernel-smp gnbd gnbd-kernel-smp lvm2-cluster
> > GFS-kernheaders gnbd-kernheaders)
> > GFS                     x86_64     6.1.14-0         csgfs             152 k
> > GFS-kernel-smp          x86_64     2.6.9-72.2       csgfs             214 k
> > GFS-kernheaders         x86_64     2.6.9-72.2       csgfs              20 k
> > gnbd                    x86_64     1.0.9-1          csgfs             142 k
> > gnbd-kernel-smp         x86_64     2.6.9-10.20      csgfs              13 k
> > gnbd-kernheaders        x86_64     2.6.9-10.20      csgfs             4.1 k
> > lvm2-cluster            x86_64     2.02.21-7.el4    csgfs             199 k
> >
> > In this configuration, which comes from the yum rhcs repository, I had
> > to downgrade to kernel kernel-smp-2.6.9-55.EL. Maybe you also want to
> > install luci and ricci:
> >
> > yum install luci
> > Installing:
> >  luci                    x86_64     0.9.1-8.el4.centos.1  csgfs
> >
> > yum install ricci
> > Installing:
> >  ricci                   x86_64     0.9.1-8.el4.centos.1  csgfs 1.1 M
> > Installing for dependencies:
> >  modcluster              x86_64     0.9.1-8.el4.centos
> > csgfs             317 k
> >  oddjob                  x86_64     0.26-1.1         base               57 k
> >  oddjob-libs             x86_64     0.26-1.1         base               43 k
> >
> > That's it. Regards,
> > Sebastian
> >
> > darkblue wrote:
> > > thanks very much, I have been waiting this letter for the whole day.
> > > May I using yum to install centos's packages on redhat as4u5, because
> > > the OS of the production server is redhat as4u5.
> > >
> > > 2007/7/30, Sebastian Walter wrote:
> > >
> > >> Hi,
> > >>
> > >> maybe you want to orientate on the centos distribution. Easiest for you
> > >> would be to somehow get yum working and then import the whole
> > >> repository. If it's a new installation, I suggest you to switch to such
> > >> a rhel-compatible distribution as centos or scientific linux anyway.
> > >>
> > >> http://mirror.centos.org/centos/4/csgfs/
> > >>
> > >> Regards,
> > >> Sebastian
> > >>
> > >>
> > >> darkblue wrote:
> > >>
> > >>> Hello,
> > >>> I am a newbie of cluster.I encounter a problem when installing cluster
> > >>> suite on AS4U5, I download the following packages from
> > >>> ftp://ftp.redhat.com/pub/redhat/linux/updates/enterprise/4AS/en/RHCS/SRPMS/
> > >>>
> > >>> ccs-1.0.10-0.src.rpm
> > >>> ccs-1.0.2-0.src.rpm
> > >>> ccs-1.0.3-0.src.rpm
> > >>> ccs-1.0.7-0.src.rpm
> > >>> clustermon-0.9.1-8.src.rpm
> > >>> cman-1.0.11-0.src.rpm
> > >>> cman-1.0.17-0.src.rpm
> > >>> cman-1.0.2-0.src.rpm
> > >>> cman-1.0.4-0.src.rpm
> > >>> cman-kernel-2.6.9-39.5.src.rpm
> > >>> cman-kernel-2.6.9-39.8.src.rpm
> > >>> cman-kernel-2.6.9-41.0.2.src.rpm
> > >>> cman-kernel-2.6.9-41.0.src.rpm
> > >>> cman-kernel-2.6.9-43.8.3.src.rpm
> > >>> cman-kernel-2.6.9-43.8.5.src.rpm
> > >>> cman-kernel-2.6.9-43.8.src.rpm
> > >>> cman-kernel-2.6.9-45.14.src.rpm
> > >>> cman-kernel-2.6.9-45.15.src.rpm
> > >>> cman-kernel-2.6.9-45.2.src.rpm
> > >>> cman-kernel-2.6.9-45.3.src.rpm
> > >>> cman-kernel-2.6.9-45.4.src.rpm
> > >>> cman-kernel-2.6.9-45.5.src.rpm
> > >>> cman-kernel-2.6.9-45.8.src.rpm
> > >>> cman-kernel-2.6.9-50.2.0.1.src.rpm
> > >>> cman-kernel-2.6.9-50.2.src.rpm
> > >>> conga-0.9.1-8.src.rpm
> > >>> dlm-1.0.0-5.src.rpm
> > >>> dlm-1.0.1-1.src.rpm
> > >>> dlm-1.0.3-1.src.rpm
> > >>> dlm-kernel-2.6.9-37.7.src.rpm
> > >>> dlm-kernel-2.6.9-37.9.src.rpm
> > >>> dlm-kernel-2.6.9-39.1.2.src.rpm
> > >>> dlm-kernel-2.6.9-39.1.src.rpm
> > >>> dlm-kernel-2.6.9-41.7.1.src.rpm
> > >>> dlm-kernel-2.6.9-41.7.2.src.rpm
> > >>> dlm-kernel-2.6.9-41.7.src.rpm
> > >>> dlm-kernel-2.6.9-42.10.src.rpm
> > >>> dlm-kernel-2.6.9-42.11.src.rpm
> > >>> dlm-kernel-2.6.9-42.12.src.rpm
> > >>> dlm-kernel-2.6.9-42.13.src.rpm
> > >>> dlm-kernel-2.6.9-44.2.src.rpm
> > >>> dlm-kernel-2.6.9-44.3.src.rpm
> > >>> dlm-kernel-2.6.9-44.8.src.rpm
> > >>> dlm-kernel-2.6.9-44.9.src.rpm
> > >>> dlm-kernel-2.6.9-46.16.0.1.src.rpm
> > >>> dlm-kernel-2.6.9-46.16.src.rpm
> > >>> fence-1.32.10-0.src.rpm
> > >>> fence-1.32.18-0.src.rpm
> > >>> fence-1.32.25-1.src.rpm
> > >>> fence-1.32.45-1.0.1.src.rpm
> > >>> fence-1.32.45-1.src.rpm
> > >>> fence-1.32.6-0.src.rpm
> > >>> gulm-1.0.10-0.src.rpm
> > >>> gulm-1.0.4-0.src.rpm
> > >>> gulm-1.0.6-0.src.rpm
> > >>> gulm-1.0.7-0.src.rpm
> > >>> gulm-1.0.8-0.src.rpm
> > >>> iddev-2.0.0-3.src.rpm
> > >>> iddev-2.0.0-4.src.rpm
> > >>> magma-1.0.1-4.src.rpm
> > >>> magma-1.0.3-2.src.rpm
> > >>> magma-1.0.4-0.src.rpm
> > >>> magma-1.0.6-0.src.rpm
> > >>> magma-1.0.7-1.src.rpm
> > >>> magma-plugins-1.0.12-0.src.rpm
> > >>> magma-plugins-1.0.2-0.src.rpm
> > >>> magma-plugins-1.0.5-0.src.rpm
> > >>> magma-plugins-1.0.6-0.src.rpm
> > >>> magma-plugins-1.0.9-0.src.rpm
> > >>> piranha-0.8.1-1.src.rpm
> > >>> piranha-0.8.2-1.src.rpm
> > >>> rgmanager-1.9.38-0.src.rpm
> > >>> rgmanager-1.9.39-0.src.rpm
> > >>> rgmanager-1.9.43-0.src.rpm
> > >>> rgmanager-1.9.46-0.src.rpm
> > >>> rgmanager-1.9.53-0.src.rpm
> > >>> rgmanager-1.9.54-1.src.rpm
> > >>> rgmanager-1.9.68-1.src.rpm
> > >>> system-config-cluster-1.0.16-1.0.src.rpm
> > >>> system-config-cluster-1.0.25-1.0.src.rpm
> > >>> system-config-cluster-1.0.27-1.0.src.rpm
> > >>> system-config-cluster-1.0.45-1.0.src.rpm
> > >>>
> > >>> but I want to know which packages are the right combination for AS4U5?
> > >>>
> > >>>
> > >>>
> > >>
> > >
> > >
> > >
> >
> >
>
>
> --
> He is nothing
>


-- 
He is nothing


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]